Bug 237867 - Request update to 0.3.11
Summary: Request update to 0.3.11
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liboil   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-25 19:18 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 08:56:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-04-25 19:18:40 UTC
Description of problem:
Muine, the music player, crashes on playing music in Fedora Development. Muine
is maintained by me and after chasing down the upstream guys, they provided me
with a solution: Update liboil to 0.3.11. I've done a rebuild of liboil to
0.3.11 locally here, and muine now works as expected. 

Version-Release number of selected component (if applicable):
0.3.10

How reproducible:
Every Time

Steps to Reproduce:
1. Using rawhide, install muine and run it
2. Choose some music, press play
3. Watch muine crash

Steps to fix:
1. Rebuild liboil to 0.3.11
2. Start muine
3. Play some music
4. Now works.
  
Actual results:
Muine crashes

Expected results:
Muine should play music, not crash

Comment 1 Matthias Clasen 2007-04-26 00:18:34 UTC
Might be worth trying to get this in before final, or as an early update.

Comment 2 Matthias Clasen 2007-04-27 15:46:29 UTC
But then, muine works fine for me with 0.3.10 in quick testing.
What arch is this on, x86_64 ?

Comment 3 Sindre Pedersen Bjørdal 2007-04-27 17:20:16 UTC
This is i386 running rawhide. 

Comment 4 Sindre Pedersen Bjørdal 2007-06-03 20:03:16 UTC
This bug is still there in F-7 final, but I discovered an important detail. This
bug is only visible if gstreamer-plugins-ugly is installed. I know
gstreamer-plugins-ugly isn't in Fedora itself, but this still breaks expected
behavior. Please issue an update.

Comment 5 Neal Gompa 2007-06-07 22:16:24 UTC
unfortunately, the latest libschroedinger release is the ONLY version yet that
can POSSIBLY build on Fedora 7, as every other one has had either missing files
or GStreamer incompatibilities. Unfortunately, it REQUIRES liboil 0.3.11 and
does not build properly on older ones... In fact, it doesnt build at all....

Comment 6 Neal Gompa 2007-06-08 02:31:44 UTC
It seems that libschroedinger builds properly with liboil 0.3.12, not 0.3.11 and
below.

Comment 7 Jeffrey C. Ollie 2007-06-11 04:29:19 UTC
Any chance that 0.3.12 can get released as updates for FC-6?


Note You need to log in before you can comment on or make changes to this bug.